ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "P": {
      "item": "farmersdelight:pie_crust"
    },
    "C": {
      "item": "minecraft:cocoa_beans"
    },
    "M": {
      "item": "farmersdelight:milk_bottle"
    },
    "S": {
      "item": "minecraft:sugar"
    }
  },
  "pattern": [
    "CCC",
    "MMM",
    "SPS"
  ],
  "result": {
    "item": "farmersdelight:chocolate_pie"
  }
    })
    event.remove({id:'farmersdelight:chocolate_pie'})
  })